package cn.hmsoft.pay.data.model;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;
import cn.hmsoft.pay.constants.PaySeqName;

/**********************************************
* 银行回传记录
* @author: Zhang XiaoQing
* @date: 2017-08-22 19:32:04
* @version: 4.0.0
* @email: revisit@126.com
* @Company: www.hmsoft.cn
*/
@Table(tableName = "PAY_REPLY_LOG", keyColumn =  "LOG_ID" , sequenceName = PaySeqName.PayReplyLogId)
public class PayReplyLog implements Serializable{
	private static final long serialVersionUID = -6031345181251621550L;
	//日志编号
	private Integer log_id;
	//银行返回时间
	private LocalDateTime reply_time;
	//订单编号
	private Integer bill_id;
	//处理结果
	private String proce_result;
	//银行地址
	private String replay_addr;
	//订单号码
	private String bill_code;
	//银行返回的字符串
	private String reply_msg;

	/****
	 * 日志编号
	 */
	public Integer getLog_id() {
		return this.log_id;
	}

	/****
	 * 日志编号
	 */
	public void setLog_id(Integer log_id) {
		this.log_id = log_id;
	}

	/****
	 * 银行返回时间
	 */
	public LocalDateTime getReply_time() {
		return this.reply_time;
	}

	/****
	 * 银行返回时间
	 */
	public void setReply_time(LocalDateTime reply_time) {
		this.reply_time = reply_time;
	}

	/****
	 * 订单编号
	 */
	public Integer getBill_id() {
		return this.bill_id;
	}

	/****
	 * 订单编号
	 */
	public void setBill_id(Integer bill_id) {
		this.bill_id = bill_id;
	}

	/****
	 * 处理结果
	 */
	public String getProce_result() {
		return this.proce_result;
	}

	/****
	 * 处理结果
	 */
	public void setProce_result(String proce_result) {
		this.proce_result = proce_result;
	}

	/****
	 * 银行地址
	 */
	public String getReplay_addr() {
		return this.replay_addr;
	}

	/****
	 * 银行地址
	 */
	public void setReplay_addr(String replay_addr) {
		this.replay_addr = replay_addr;
	}

	/****
	 * 订单号码
	 */
	public String getBill_code() {
		return this.bill_code;
	}

	/****
	 * 订单号码
	 */
	public void setBill_code(String bill_code) {
		this.bill_code = bill_code;
	}

	/****
	 * 银行返回的字符串
	 */
	public String getReply_msg() {
		return this.reply_msg;
	}

	/****
	 * 银行返回的字符串
	 */
	public void setReply_msg(String reply_msg) {
		this.reply_msg = reply_msg;
	}


}